<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">

    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title>Sprints</title>

    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
            background-color: white;
        }

        header {
            background: linear-gradient(to right, #333, #38a5f3);
            color: white;
            padding: 40px;
            text-align: left;
            font-size: 25px;
            font-family: Calibri, sans-serif;
        }

        h1 {
            margin: 0;
        }

        #cur_page{
            background-color: #191c19;
        }

        /* buttons */
        .button-container {
            display: flex;
            justify-content: center;
            align-items: center;
            margin-top: 10px;
            margin-bottom: 10px;
        }
        .button-container button {
            padding: 12px 20px;
            margin: 0 10px;
            border: none;
            border-radius: 25px;
            background-color: #38a5f3;
            color: white;
            font-size: 20px;
            cursor: pointer;
            transition: background-color 0.3s ease;
            font-family: Calibri, sans-serif;
        }
        .button-container button:hover {
            background-color: #1e567e;
        }

        .button2-container {
            display: block;
            justify-content: left;
            align-items: left;
            margin-top: 20px;
            margin-bottom: 10px;
        }
        .button2-container button {
            padding: 12px 20px;
            margin: 0 10px;
            border: none;
            border-radius: 25px;
            background-color: #38a5f3;
            color: white;
            font-size: 20px;
            cursor: pointer;
            transition: background-color 0.3s ease;
            font-family: Calibri, sans-serif;
        }
        .button2-container button:hover {
            background-color: #1e567e;
        }

        /* subsections */
        .subsection {
            background-color: white;
            padding: 20px;
            border: 1px solid white;
            margin-top: 10px;
            margin-bottom: 10px;
            font-size: 20px;
            font-family: Calibri, sans-serif;
        }

        .subsection2 {
            display: flex;
            background-color: white;
            padding: 20px;
            border: 1px solid white;
            margin-top: 10px;
            margin-bottom: 10px;
            font-size: 20px;
            font-family: Calibri, sans-serif;
        }

        .subsection hr {
            border: none;
            height: 2px;
            background-color: black;
            margin: 10px 0;
        }

        /* tables */
        table {
            width: 100%;
            border-collapse: collapse;
        }
        th, td {
            border: 1px solid #ccc;
            padding: 8px;
            text-align: center;
            font-size: 20px;
            font-family: Calibri, sans-serif;
        }
        th {
            background-color: #38a5f3;
            color: white;
            font-size: 25px;
            font-family: Calibri, sans-serif;
        }

        /* images */
        figure {
            display: block;
            text-align: center;
            margin: 20px auto;
            width: 90%; /* Increase width to make the image larger */
        }

        img {
            max-width: 100%; /* Allow the image to fill the figure's width */
            height: auto;  /* Maintain aspect ratio */
        }

        figcaption {
            text-align: center;
            font-style: italic;
            margin-top: 5px;
        }
    </style>

</head>

<body>
    <header>
        <h1>PACTL-Sym Parser</h1>
    </header>

    <div class="button-container">
        <button onclick="location.href='../index.html'">Sobre o Projeto</button>
        <button onclick="location.href='../especificacao/index.html'">Documentos de Especifição do Projeto</button>
        <button id="cur_page">Documentação das Sprints/Trabalho</button>
    </div>

    <hr>

    <div class="subsection2">
        <h2>Sprints</h2>
        <div class="button2-container">
            <button onclick="location.href='pre_sprint.html'">Pré-Sprint</button>
        </div>

        <div class="button2-container">
            <button onclick="location.href='sprint0.html'">Sprint 0</button>
        </div>

        <div class="button2-container">
            <button onclick="location.href='sprint1.html'">Sprint 1</button>
        </div>

        <div class="button2-container">
            <button onclick="location.href='sprint2.html'">Sprint 2</button>
        </div>

        <div class="button2-container">
            <button onclick="location.href='sprint3.html'">Sprint 3</button>
        </div>

        <div class="button2-container">
            <button onclick="location.href='sprint4.html'">Sprint 4</button>
        </div>
    </div>

    <hr>

    <div class="subsection">
        <h2>Metodologia e Definições</h2>
        <p>
            Será utilizada a biblioteca <a href="https://pypi.org/project/pddl/">pddl</a> do
            PyPI para que uma primeira leitura do arquivo em PDDL seja feita. Após essa leitura,
            as informações relevantes são armazenadas em estruturas de dados específicas. Nesse
            sentido, o projeto consistirá em, primeiramente, rearmazenar essas informações já
            processadas pelos métodos da biblioteca, porém utilizando estruturas de dados que
            sejam mais interessantes aos propósitos do nosso projeto. Depois disso, essas informações
            e estruturas serão utilizadas para a escrita do arquivo final de saída desejado pela cliente.
        </p>

        <p>
            Com relação à organização das sprints, definiu-se com o professor que elas terão duração de
            duas semanas, pois o projeto é extremamente técnico, exigindo etapas consideráveis de estudo
            e que, muitas vezes, não contêm entregas claras e constantes à cliente. Ela, por sua vez, está
            de acordo com tudo isso.
        </p>
    </div>

    <hr>

    <div class="subsection">
        <h2>Métricas e Indicadores</h2>
        <div style="text-align: center;">
            <figure>
                <img src="./metricas/tempo_tarefas.png" alt="Image description">
                <figcaption>Gráfico que retrata a relação entre o tempo esperado e o tempo gasto nas tarefas de uma sprint.</figcaption>
            </figure>
        </div>

        <p>Vale ressaltar que, apesar da diferença entre o tempo esperado e o tempo gasto estar aumentando, isso se deve ao fato da complexidade das tarefas ter aumentado consideralvemente.</p>

        <div style="text-align: center;">
            <figure>
                <img src="./metricas/cobertura_testes.png" alt="Image description">
                <figcaption>Gráfico que mostra cobertura de testes ao final de cada sprint sprint.</figcaption>
            </figure>
        </div> 

    </div>

    <hr>


</body>
</html>